Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

コンシューマーAPI

Get Consumer Information

get

This request is used by the D1 backend to request the details of an end user (consumer) from the issuer backend.

If the end user information is associated with the card, it is possible to activate "cardId" query parameter via an onboarding flag.

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

consumerIdstring · 最小: 1 · 最大: 64必須

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
クエリパラメータ
cardIdstring · 最小: 1 · 最大: 48オプション

Unique identifier of the card.

Example: cardId=crd_h2otddwm5uwujlye3qyxmjkphaPattern: ^[A-Za-z0-9_-]{1,48}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
レスポンス
get
/banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}?cardId=<cardId>

Deliver OTP

post

This request is used by D1 during the tokenization flow for a card in case it is required to send an OTP to the end user (consumer) "consumerId".

The parameter 'threeDSDetails' is available in the scenario :

  • 3DS Authentication

Note

This is applicable only if the issuer decides to rely on its own messaging system to send messages to their customers and not on the D1 platform.

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

consumerIdstring · 最小: 1 · 最大: 64必須

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
本文
deliveryChannelstring · enum必須

The channel on which the end user has decided to receive the OTP.

可能な値:
panSuffixstring · 最小: 4 · 最大: 4必須

Last 4 digits of the PAN of the card to be tokenized (digitized)

レスポンス
post
/banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}/otp

コンテンツなし

最終更新

役に立ちましたか?